# Source for file Common.php

Documentation is available at Common.php

1. <?php
2. /*
3. * $Id: Common.php 1794 2007-06-24 20:11:41Z zYne $
4. *
5. * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6. * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7. * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8. * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9. * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10. * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11. * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12. * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13. * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14. * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15. * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16. *
17. * This software consists of voluntary contributions made by many individuals
18. * and is licensed under the LGPL. For more information, see
19. * <http://www.phpdoctrine.com>.
20. */
21. Doctrine::autoload('Doctrine_Connection');
22. /**
23. * standard connection, the parent of pgsql, mysql and sqlite
24. *
25. * @package Doctrine
26. * @category Object Relational Mapping
27. * @link www.phpdoctrine.com
28. * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
29. * @since 1.0
30. * @version $Revision: 1794 $
31. * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
32. */
33. class Doctrine_Connection_Common extends Doctrine_Connection
34. {
35. /**
36. * Adds an driver-specific LIMIT clause to the query
37. *
38. * @param string $query
39. * @param mixed $limit
40. * @param mixed $offset
41. */
42. public function modifyLimitQuery($query, $limit = false,$offset = false,$isManip=false)
43. {
44. $limit = (int) $limit;
45. $offset = (int) $offset;
47. if ($limit && $offset) {
48. $query .= ' LIMIT ' . $limit . ' OFFSET ' . $offset;
49. } elseif ($limit && ! $offset) {
50. $query .= ' LIMIT ' . $limit;
51. } elseif ( ! $limit && $offset) {
52. $query .= ' LIMIT 999999999999 OFFSET ' . $offset;
53. }
55. return $query;
56. }
57. }